### Function

# GimpUi QueryIntCallback

#### Declaration

    void
    (* GimpQueryIntCallback) (
      GtkWidget* query_box,
      gint value,
      gpointer data
    )

#### Description [src]

The callback for an int query box.

#### Parameters

`query_box`

  Type: `GtkWidget`

  The query box.

  The data is owned by the caller of the function.

`value`

  Type: `gint`

  The entered integer value.

`data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.